summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2006-10-17 18:58:18 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2006-10-17 18:58:18 +0000
commitc85524d0751348fad05800f9e61e3461861393b7 (patch)
tree3b6784ae5ed94af56a10fc3ccacae01afe36d001 /eclass
parentAdd missing WANT_AUTOCONF/WANT_AUTOMAKE variables. (diff)
downloadgentoo-2-c85524d0751348fad05800f9e61e3461861393b7.tar.gz
gentoo-2-c85524d0751348fad05800f9e61e3461861393b7.tar.bz2
gentoo-2-c85524d0751348fad05800f9e61e3461861393b7.zip
Try to workaround the problem 'reported' by Mr_Bones_... but this is just a workaround.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/autotools.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/autotools.eclass b/eclass/autotools.eclass
index 963c6008b1eb..ed12e4420a46 100644
--- a/eclass/autotools.eclass
+++ b/eclass/autotools.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.48 2006/10/16 08:12:01 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.49 2006/10/17 18:58:18 flameeyes Exp $
#
# Author: Diego Pettenò <flameeyes@gentoo.org>
# Enhancements: Martin Schlemmer <azarah@gentoo.org>
@@ -15,13 +15,17 @@ inherit eutils libtool
_automake_atom="sys-devel/automake"
_autoconf_atom="sys-devel/autoconf"
if [[ -n ${WANT_AUTOMAKE} ]] && [[ ${WANT_AUTOMAKE} != "latest" ]]; then
- _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*"
+ case ${WANT_AUTOMAKE} in
+ # workaround while we have different versions of automake in arch and ~arch
+ latest) _automake_atom="|| ( =sys-devel/automake-1.10* =sys-devel/automake-1.9* )"
+ *) _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*" ;;
+ esac
fi
if [[ -n ${WANT_AUTOCONF} ]] ; then
case ${WANT_AUTOCONF} in
2.1) _autoconf_atom="=sys-devel/autoconf-${WANT_AUTOCONF}*" ;;
- 2.5) _autoconf_atom=">=sys-devel/autoconf-2.59" ;;
+ latest | 2.5) _autoconf_atom=">=sys-devel/autoconf-2.59" ;;
esac
fi
DEPEND="${_automake_atom}